/Page/{id}/settings
PATCH
/Page/{id}/settings
const url = 'https://api.chatfood.app/Page/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/settings';const options = { method: 'PATCH', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json-patch+json'}, body: '{ "timeZone": "example", "language": "example", "currency": "example", "countryCode": "example", "categoryId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "categoryVariableGroupId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0" }'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PATCH \ --url https://api.chatfood.app/Page/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/settings \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json-patch+json' \ --data '{ "timeZone": "example", "language": "example", "currency": "example", "countryCode": "example", "categoryId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "categoryVariableGroupId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0" }'Authorizations
Seção intitulada “Authorizations”Parameters
Seção intitulada “Parameters”Path Parameters
Seção intitulada “Path Parameters”id
required
string format: uuid
Request Body
Seção intitulada “Request Body”object
timeZone
string
language
string
currency
string
countryCode
string
categoryId
string format: uuid
categoryVariableGroupId
string format: uuid
Examplegenerated
{ "timeZone": "example", "language": "example", "currency": "example", "countryCode": "example", "categoryId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "categoryVariableGroupId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"}object
timeZone
string
language
string
currency
string
countryCode
string
categoryId
string format: uuid
categoryVariableGroupId
string format: uuid
Examplegenerated
{ "timeZone": "example", "language": "example", "currency": "example", "countryCode": "example", "categoryId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "categoryVariableGroupId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"}object
timeZone
string
language
string
currency
string
countryCode
string
categoryId
string format: uuid
categoryVariableGroupId
string format: uuid
Examplegenerated
{ "timeZone": "example", "language": "example", "currency": "example", "countryCode": "example", "categoryId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "categoryVariableGroupId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"}object
timeZone
string
language
string
currency
string
countryCode
string
categoryId
string format: uuid
categoryVariableGroupId
string format: uuid
Examplegenerated
{ "timeZone": "example", "language": "example", "currency": "example", "countryCode": "example", "categoryId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "categoryVariableGroupId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"}Responses
Seção intitulada “Responses”OK